Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class SymbolSpace

    java.lang.Object
      com.saxonica.schema.SymbolSpace

    public abstract class SymbolSpace

extends Object

This class holds constants used to identify the various symbol spaces defined in XML Schema: element declarations, attribute declarations, types, groups, and so on.

Field Summary
`static int` | `ATTRIBUTE`
`static int` | `ATTRIBUTE_GROUP`
`static int` | `ELEMENT`
`static int` | `GROUP`
`static int` | `IDENTITY_CONSTRAINT`
`static int` | `NOTATION`
`static int` | `TYPE`

Method Summary
`static String` | `getSymbolSpaceName(int space)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT

    public static final int ELEMENT

See Also:
  Constant Field Values

### ATTRIBUTE

    public static final int ATTRIBUTE

See Also:
  Constant Field Values

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

### GROUP

    public static final int GROUP

See Also:
  Constant Field Values

### ATTRIBUTE_GROUP

    public static final int ATTRIBUTE_GROUP

See Also:
  Constant Field Values

### NOTATION

    public static final int NOTATION

See Also:
  Constant Field Values

### IDENTITY_CONSTRAINT

    public static final int IDENTITY_CONSTRAINT

See Also:
  Constant Field Values

Method Detail

### getSymbolSpaceName

    public static String getSymbolSpaceName(int space)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.